var e, a;
(e = (function (e) {
  return e && e.__esModule ? e : { default: e };
})(require("../../utils/apis.js"))),
  (a = getApp()),
  Page({
    data: { orderInfo: null },
    onLoad: function (e) {
      this.getDetail(e.orderid);
    },
    getDetail: function (e) {
      var n = this,
        o = { orderid: e };
      a.getdata(o, "vincxid").then((e) => {
        if ((console.log("vin回调数据：", e.data), e.data)) {
          n.setData({ cardata: e.data[0] });
          var a = JSON.parse(e.data[0].record);
          console.log(a), n.setData({ orderInfo: a.result });
        }
      });
    },
    queryVinb: function () {
      var a = this.data.orderInfo.seriousNo,
        n = this.data.orderInfo.queryType,
        o = this.data.orderInfo.name;
      console.log("queryType:" + n),
        e.default
          .wxPay({
            seriousNo: a,
            openId: wx.getStorageSync("openId"),
            money: this.data.orderInfo.money,
          })
          .then(function (e) {
            wx.requestPayment({
              timeStamp: e.data.timeStamp,
              nonceStr: e.data.nonceStr,
              package: e.data.package,
              signType: e.data.signType,
              paySign: e.data.sign,
              success: function (e) {
                wx.navigateTo({
                  url:
                    "/pages/successPage/successPage?seriousNo=" +
                    a +
                    "&queryType=" +
                    n +
                    "&name=" +
                    o,
                });
              },
              fail: function (e) {
                console.log(e);
              },
            });
          });
    },
    toDisclaimers: function () {
      wx.navigateTo({ url: "/pages/disclaimers/disclaimers" });
    },
    onReady: function () {},
    onShow: function () {},
    onHide: function () {},
    onUnload: function () {},
    onPullDownRefresh: function () {},
    onReachBottom: function () {},
    onShareAppMessage: function () {},
  });
